Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
exposure-types
Create Exposure Type
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "franchise_truck_dealer",
  "label": "Franchise Truck Dealer"
}
'
import requests

url = "https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types"

payload = {
"value": "franchise_truck_dealer",
"label": "Franchise Truck Dealer"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'franchise_truck_dealer', label: 'Franchise Truck Dealer'})
};

fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/exposure-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "550e8400-e29b-41d4-a716-446655440003"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json

Request body for creating an exposure type

value
string
required

Unique identifier for this exposure type within the company. Typically a snake_case string (e.g., "franchise_truck_dealer").

Minimum string length: 1
label
string
required

Human-readable display name for the exposure type

Minimum string length: 1

Response

Exposure type created successfully

id
string<uuid>

The ID of the created exposure type